#pragma once

#include "CoreMinimal.h"
#include "LoadedLocalTextures.generated.h"

class UTexture2D;

USTRUCT(BlueprintType)
struct FLoadedLocalTextures
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TMap<FString, UTexture2D*> Textures;

public:
	DBDUIVIEWSCORE_API FLoadedLocalTextures();
};

FORCEINLINE uint32 GetTypeHash(const FLoadedLocalTextures) { return 0; }
